Extending Qt Creator Manual | TypePrettyPrinter

Extending Qt Creator Manual 4.5.2

# TypePrettyPrinter Class

(CPlusPlus::TypePrettyPrinter)

The TypePrettyPrinter class is a helper class for the Overview class. This class does the main type conversion work. More...

Header: | #include <TypePrettyPrinter>

- List of all members, including inherited members

## Public Functions

| TypePrettyPrinter(const Overview *overview)
virtual | ~TypePrettyPrinter()
const Overview * | overview() const
QString | operator()(const FullySpecifiedType &type)
QString | operator()(const FullySpecifiedType &type, const QString &name)

## Detailed Description

The TypePrettyPrinter class is a helper class for the Overview class. This class does the main type conversion work.

Do not use this class directly, use Overview instead.

## Member Function Documentation

### TypePrettyPrinter::TypePrettyPrinter(const Overview *overview)

Default constructs an instance of TypePrettyPrinter.

### `[virtual]` TypePrettyPrinter::~TypePrettyPrinter()

Destroys the instance of TypePrettyPrinter. The destructor is virtual.

### const Overview *TypePrettyPrinter::overview() const

### QString TypePrettyPrinter::operator()(const FullySpecifiedType &type)

### QString TypePrettyPrinter::operator()(const FullySpecifiedType &type, const QString &name)